% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/proba.R
\name{dmultinomialACGT}
\alias{dmultinomialACGT}
\title{Density probability function of a multinomial distribution for nucleotides}
\usage{
dmultinomialACGT(A, C, G, T, pA, pC, pG, pT, log = FALSE)
}
\arguments{
\item{A}{numeric; number of observed *A* at a given site.}

\item{C}{numeric; number of observed *C* at a given site.}

\item{G}{numeric; number of observed *G* at a given site.}

\item{T}{numeric; number of observed *T* at a given site.}

\item{pA}{numeric; probability to observed a *A* at a given site.}

\item{pC}{numeric; probability to observed a *C* at a given site.}

\item{pG}{numeric; probability to observed a *G* at a given site.}

\item{pT}{numeric; probability to observed a *T* at a given site.}

\item{log}{logical; if TRUE, probabilities p are given as log(p).}
}
\value{
numeric; the density of probability of the log that probability
        of the observations given the probabilities of observation
}
\description{
Computes the probalility to observe a given number of `A`, `C`, `G`, `T`
when probalilities of each nucleotide are `pA`, `pC`, `pG`, `pT`.
}
\examples{
  dmultinomialACGT(c(3,4),c(3,6),c(3,2),c(3,5),
                   0.25,0.25,0.25,0.25)
  dmultinomialACGT(c(3,4),c(3,6),c(3,2),c(3,5),
                   pA = 0.25, pC = 0.25, pG = 0.25, pT = 0.25,
                   log=TRUE)

}
\author{
Eric Coissac
}
